# Uses of Class
org.apache.lucene.index.CheckIndex.Status.TermVectorStatus

Packages that use CheckIndex.Status.TermVectorStatus
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of CheckIndex.Status.TermVectorStatus in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as CheckIndex.Status.TermVectorStatus
  Modifier and Type
  Field
  Description
  `CheckIndex.Status.TermVectorStatus`
  CheckIndex.Status.SegmentInfoStatus.`termVectorStatus`
  Status for testing of term vectors (null if term vectors could not be tested).
  Methods in org.apache.lucene.index that return CheckIndex.Status.TermVectorStatus
  Modifier and Type
  Method
  Description
  `static CheckIndex.Status.TermVectorStatus`
  CheckIndex.`testTermVectors(CodecReader reader, PrintStream infoStream)`
  Test term vectors.
  `static CheckIndex.Status.TermVectorStatus`
  CheckIndex.`testTermVectors(CodecReader reader, PrintStream infoStream, boolean verbose, int level, boolean failFast)`
  Test term vectors.